Get Refunds
Returns all or specific refunds of the order.
Path
GET /api/v3/orders/{orderNumber}/refunds/{refundNumber} Request Parameters
orderNumber
required
string
Order number
refundNumber
required
string
Refund number
Responses
-
arrayCollection of refundsreservationIdstringReservation IDcustomerNumberstringMax length: 100Customer numberrefundNumberstringMax length: 50Refund numberorderNumberstringMax length: 50Order numberamountnumberRefunded amountbalancenumberRemaining amount to be refundedcurrencystringEnum:
- EUR
- NOK
- SEK
- DKK
- CHF
CurrencyinsertedAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzIndicates the Refund creation timeupdatedAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzIndicates the time when the refund was last updatedcaptureNumberstringMax length: 50Capture numberarrayRefund itemsproductIdrequiredstringMax length: 100Merchant Product identification number.groupIdstringMax length: 255Item group ID. The group this item belongs to. Provided by the merchant. Everything over 255 characters will be truncated.descriptionrequiredstringProduct name. For example "Black music player 64GB". Everything over 255 characters will be truncated.typestringEnum:- PhysicalArticle
- DigitalArticle
- GiftCard
- Discount
- ShippingFee
- Surcharge
- Info
- Subscription
netUnitPricerequirednumberNet unit price.grossUnitPricerequirednumberGross price per item.quantityrequirednumberQuantity. Use of integer is strongly proposed. If you want to use decimal, please contact your integration manager.unitCodestringMax length: 50Unit code (for example pieces, liters, kilograms, etc.).vatCategorystringEnum:- HighCategory
- LowCategory
- NullCategory
- NoCategory
- MiddleCategory
- OtherCategory
Vat categoryvatPercentrequirednumberTax percent.vatAmountrequirednumberTax amount per item.imageUrlstringMax length: 2048URL for the image of this product. It will be turned into a thumbnail and displayed in Riverty, on the invoice line next to the order item. The linked image must be a rectangle or square, width between 100 pixels and 1280 pixels. Supported image formats are: gif, jpeg (jpg), png, webp.googleProductCategoryIdintegerGoogle product category ID.googleProductCategorystringMax length: 255Indicates the category of the item based on the Google product taxonomy. Categorizing the product helps ensure that the ad is shown with the right search results.merchantProductTypestringMax length: 255Categorization used by Merchant as a complement to Google Taxonomy.lineNumberintegerLine number. The merchant may add a line number to each order item, to sort them in a particular order.productUrlstringMax length: 2048URL to the product.marketPlaceSellerIdstringMax length: 32ID of an individual seller on a marketplace. If this field is used, an entry in the element additionalData -> marketplace must also be provided.parentTransactionReferencestringMax length: 128A unique reference provided to Riverty by a third party (merchant or Payment Service Provider). Identifies an entire order.additionalInformationstringMax length: 4096Extended description of the order item.specificationobjectSpecification.serviceStartstringyyyy-MM-ddTHH:mm:ss.fffffffzzzCapture start time.serviceEndstringyyyy-MM-ddTHH:mm:ss.fffffffzzzCapture end time.parentTransactionReferencestringMax length: 128A unique reference provided to Riverty by a third party (merchant or Payment Service Provider). Identifies an entire order.transactionReferencestringMax length: 100Transaction-specific reference from and for the PSP's system -
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
null
Response Example
{
"refunds": [
{
"amount": -185,
"balance": -185,
"currency": "EUR",
"refundId": "78d0f5d5-dc7e-4462-9d2b-9a32d8fe684e",
"insertedAt": "2023-09-27T12:24:53Z",
"orderNumber": "riverty1",
"refundItems": [
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/black_leather_jacket.jpg",
"quantity": 1,
"refundId": "78d0f5d5-dc7e-4462-9d2b-9a32d8fe684e",
"productId": "4534-BLK-M",
"vatAmount": -16,
"vatPercent": 19,
"description": "Leather jacket, Black, size M",
"netUnitPrice": -84,
"grossUnitPrice": -100
},
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/grey_socks.jpg",
"quantity": 5,
"refundId": "78d0f5d5-dc7e-4462-9d2b-9a32d8fe684e",
"productId": "5745-GRY-M",
"vatAmount": -1.6,
"vatPercent": 19,
"description": "Socks, Grey, Size M",
"netUnitPrice": -8.4,
"grossUnitPrice": -10
},
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/brown_wool_hat.jpg",
"quantity": 1,
"refundId": "78d0f5d5-dc7e-4462-9d2b-9a32d8fe684e",
"productId": "3323-BRN-M",
"vatAmount": -4.79,
"vatPercent": 19,
"description": "Woolen hat, brown, Size M",
"netUnitPrice": -25.21,
"grossUnitPrice": -30
},
{
"type": "ShippingFee",
"groupId": "",
"quantity": 1,
"refundId": "78d0f5d5-dc7e-4462-9d2b-9a32d8fe684e",
"productId": "SHIP",
"vatAmount": -0.8,
"vatPercent": 19,
"description": "Shipping",
"netUnitPrice": -4.2,
"grossUnitPrice": -5
}
],
"refundNumber": "800090090",
"captureNumber": "800090089",
"reservationId": "fb583567-c5a1-45de-a341-289c75e3f3dd",
"customerNumber": "AP000100919"
}
]
}